<?php

/**
 * ProductTranslation form base class.
 *
 * @method ProductTranslation getObject() Returns the current form's model object
 *
 * @package    sf
 * @subpackage form
 * @author     Atma
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class BaseProductTranslationForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                   => new sfWidgetFormInputHidden(array(), array()),
      'title'                => new sfWidgetFormTextarea(array(), array("rows" => 5, "cols" => 70, "required" => true)),
      'description'          => new sfWidgetFormInputText(array(), array("size" => 65)),
      'chemical_composition' => new sfWidgetFormInputText(array(), array("size" => 65)),
      'lang'                 => new sfWidgetFormInputHidden(array(), array()),
    ));

    $this->setValidators(array(
      'id'                   => new sfValidatorDoctrineChoice(array('model' => $this->getModelName(), 'column' => 'id', 'required' => false)),
      'title'                => new sfValidatorString(array('max_length' => 1000)),
      'description'          => new sfValidatorPass(array('required' => false)),
      'chemical_composition' => new sfValidatorPass(array('required' => false)),
      'lang'                 => new sfValidatorDoctrineChoice(array('model' => $this->getModelName(), 'column' => 'lang', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('product_translation[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'ProductTranslation';
  }

}
